package dbstruct

type AuditComponent struct {
	AuditStatus  *int64  `json:"audit_status" bson:"audit_status"`   // 审核状态
	AuditOpinion *string `json:"audit_opinion" bson:"audit_opinion"` // 审核意见
}

func (p *AuditComponent) GetAuditStatus() int64 {
	if p == nil || p.AuditStatus == nil {
		return 0
	}
	return *p.AuditStatus
}

func (p *AuditComponent) GetAuditOpinion() string {
	if p == nil || p.AuditOpinion == nil {
		return ""
	}
	return *p.AuditOpinion
}
