package dbstruct

type UserIdSeq struct {
	Seq int64 //用户业务id序列号
}

type UserIdMap struct {
	Seq    int64 `json:"seq" bson:"_id"`         //用户业务id序列号
	UserId int64 `json:"user_id" bson:"user_id"` //映射后用户业务id序列号
}

type AccountIdSeq struct {
	Seq int64 //用户Id序列号
}

type MomentIdSeq struct {
	Seq int64 //动态Id序列号
}

type StreamerAuthApprovalIdSeq struct {
	Seq int64 //女神认证Id序列号
}

type AccountRelationIdSeq struct {
	Seq int64 //用户关系Id序列号
}

type StreamerLinkIdSeq struct {
	Seq int64 //主播链接Id序列号
}

type UserWxAddCheckIdSeq struct {
	Seq int64 //用户微信添加审核Id序列号
}

type RealNameAuthenticationIdSeq struct {
	Seq int64 //实名认证ID序列号
}

type ContactCustomerServiceIdSeq struct {
	Seq int64 //联系客服ID序列号
}

type ContactCustomerServiceSessionIdSeq struct {
	Seq int64 //联系客服对话ID序列号
}

type MediaIdSeq struct {
	Seq int64 `json:"seq" bson:"seq"`
}
